IT: OTS (China) - 1000 #437

v4.0: General
10/17/2024 01:00 PM - Junyi Zhang

Status: aao Start date: 10/17/2024
Priority: aa Due date: 10/21/2024
Assignee: Junyi Zhang % Done: 100%
Category: Estimated time: 0.00 hour
Target version: v4.0 Spent time: 0.00 hour
Description

Background

1. New requirement for v4.0 OTS
See: OneDrive\l00000000000\Shanghai Group - IMIO0MoTS vall00
2. Base: https://git-codecommit.cn-northwest-1.amazonaws.com.cn/v1/repos/ots4.0-web

Task Details

1. Prepare a clean environment based on openCart as the base for v4.0.
2. Connect both the old database(OTS v3) and the new database(OTS v4).
3. Re-build the structure of the front files directory
- twig: view/theme/default/template/xxx
- CSS: view/theme/default/stypesheet/xxx
- js: view/javascript/xxx
- third-party: view/third-party/xxx
4. Support EN/SE/CN languages
-language_id:en=1,se=2,cn=3

Admini01

—_

.Add 'zh', 'se' language

2. Modify settings:
- system -> settings -> general: Meta title ~ Meta tag keywords
- system -> settings -> store: store name

3. Update the admin order_status module:

1. Admin dynamic set order status, add 'code'(compatible with V3), and 'hex'(order row background color) fields.

- Refer #440

2. Add 'status’ in admin order statuses module.
- Set 'labelled' status = disabled

4. Common settings:

1. add config_order_limit for order list
- Set 80

2. Add 'config_order_complete_status'. Order list default excludes the order status.
- Set 'Completed'

v4 coding standard:

1. Gitl0
#xxx(redmine number): xxx(redmine title) - xxx(DDDDDDD)

2.0000
2.1: U00Public -> Protected -> Private
ﬁi]z 0000000sBx
3.000000Modelll
3.1: 0000000000modelllsystem(
8.2: v3ivallmodell000O00000 order.php, order_v3.php

4.0000
tDwig, is, css (s, cssU000000essO0M)

5.0000
https://git-codecommit.cn-northwest-1.amazonaws.com.cn/v1/repos/ots4.0-web
https://redmine.easydingzhi.com/issues/440

MVCL (Llenlcn)

I

6. 00
1.000
/**

*

* @copyright RedBlue-OTS 2024

* @version v4
*

*/
2.00000000 + DOODO
/**
* XXX
* @param XXX S$XXX
* @param XXX S$XXX
* @return xxx
*/
Output

® Report and Solution

Others

History

#1 - 10/17/2024 01:00 PM - Junyi Zhang
- Copied from 00 #430: v4.0: Kick off added

#2 - 10/17/2024 01:01 PM - Junyi Zhang
- Subject changed from v4.0: OTS v4.0 General to v4.0: OTS General

#3 - 10/17/2024 01:05 PM - Junyi Zhang
- Description updated

#4 - 10/17/2024 03:43 PM - Xihua Fan
- Copied from deleted (10 #430: v4.0: Kick off)

#5 - 10/17/2024 03:43 PM - Xihua Fan

- Subject changed from v4.0: OTS General to v4.0: General
- Due date changed from 12/31/2024 to 10/18/2024

- Status changed from 010 to0010

- Start date changed from 10/18/2024 to 10/17/2024

#6 - 10/17/2024 03:44 PM - Xihua Fan
- Due date changed from 10/18/2024 to 10/17/2024

#7 - 10/17/2024 04:16 PM - Junyi Zhang

- Description updated

#8 - 10/17/2024 04:16 PM - Junyi Zhang

- Description updated
#9 - 10/17/2024 04:39 PM - Junyi Zhang
Output (2024/10/17 - 2024/10/18)

1. Prepare a clean environment based on openCart as the base for v4.0 (100%)
2. Connect both the old database(OTS v3) and the new database(OTS v4). (100%)

- V3 is also the resource of order data and anything that changes on v4 about order needs to sync to v3 before V4 is production.

#11 - 10/18/2024 11:31 AM - Junyi Zhang

- Description updated

#12 - 10/18/2024 06:24 PM - Junyi Zhang

- Description updated

#13 - 10/18/2024 06:46 PM - Junyi Zhang

- Description updated

#14 - 10/21/2024 10:49 AM - Junyi Zhang
Output (2024/10/21)
1. Re-build the structure of the front files directory and all files should follow these rules: (100%)
- twig: view/theme/default/template/xxx
- CSS: view/theme/default/stylesheet/xxx
- js: view/javascript/xxx
- third-party: view/third-party/xxx
2. Move/Add the third-party files to view/third-party/xxx (100%)
- jquery(jquery-3.7.1.min.js): Add the newest jquery file
- font-awesome(v6.6): Add the newest font-awesome files for icons
- webfont(plus_jakarta): Add the 'plus_jakarta' font files as the first choice of text's font
3. Pre-prepare common js/css files. (100%)
- view/theme/default/stylesheet/common.css
- view/javascript/easydingzhi/common.js
4. Support EN/CN languages (100%)
1. Old: web/catalog/language/en-gb/xxx
2. New:
- web/catalog/language/en/xxx
- web/catalog/language/se/xxx
- web/catalog/language/zh/xxx

#15 - 10/21/2024 10:50 AM - Junyi Zhang

- Description updated

#16 - 10/21/2024 10:52 AM - Junyi Zhang

- Description updated

#17 - 10/21/2024 11:02 AM - Xihua Fan
- Due date changed from 10/17/2024 to 10/21/2024

#18 - 10/21/2024 11:17 AM - Xihua Fan

- Description updated

#19 - 10/21/2024 11:19 AM - Xihua Fan

- Description updated

#20 - 10/21/2024 11:20 AM - Xihua Fan

- Description updated

#21 - 10/21/2024 06:10 PM - Junyi Zhang

- Description updated

#22 - 10/21/2024 07:36 PM - Junyi Zhang
- Status changed from 000 to0010
- % Done changed from 0 to 100
#23 - 10/24/2024 10:27 AM - Junyi Zhang
- Description updated

#24 - 10/24/2024 10:28 AM - Junyi Zhang
- Description updated

#25 - 10/24/2024 10:31 AM - Junyi Zhang
- Description updated

#26 - 11/13/2024 06:15 PM - Junyi Zhang
- Description updated

#27 - 11/13/2024 06:53 PM - Junyi Zhang
- Description updated

#28 - 11/18/2024 09:59 AM - Junyi Zhang
- Description updated

#29 - 02/12/2025 11:45 AM - Junyi Zhang
- Description updated

#30 - 02/12/2025 03:17 PM - Junyi Zhang
Output (2025/02/12)

1. Support muti-language: EN, SE, CN
1.language id:EN=1,SE=2,CN=3

#31 - 02/13/2025 04:04 PM - Xihua Fan
- Tracker changed from 010 to0000
